import axios from './service';
import apiMap from './index';

export default {
    request({ alias, body, query, header }) {
        let url = apiMap[alias].url;
        let type = apiMap[alias].type;
        return axios({
            url: url,
            method: type,
            params: query,
            data: body,
            header: header,
        })
    }
}